<?php
/**
 * Bold Theme Customizer.
 *
 * @package Bold
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function bold_customize_register( $wp_customize ) {
  // Remove Colors option from theme customizer
  $wp_customize->remove_section('colors');

  // Display Search Icon
  $wp_customize->add_setting( 'display_search_icon' , array(
    'sanitize_callback'	=> 'wp_kses_post'
  ) );

  $wp_customize->add_control( 'display_search_icon', array(
    'label'       => __( 'Display Search Icon', 'bold' ),
    'description'	=> esc_html__( '', 'bold' ),
		'type'        => 'checkbox',
    'section'     => 'title_tagline',
    'settings'    => 'display_search_icon',
    'priority'    => '20'
  ) );

  // Footer Copyright
  $wp_customize->add_setting( 'bold-footer-copyright' , array(
    'sanitize_callback'	=> 'wp_kses_post'
  ) );

  $wp_customize->add_control ( 'bold-footer-copyright', array(
    'label'       => __( 'Footer Copyright', 'bold' ),
    'description'	=> esc_html__( 'Customize the footer copyright text. (HTML is allowed)', 'bold' ),
		'type'        => 'textarea',
    'section'     => 'title_tagline',
    'settings'    => 'bold-footer-copyright',
  ) );
}
add_action( 'customize_register', 'bold_customize_register' );