(function($) {

  'use strict';

  // =====================
  // Headroom.js
  // =====================

  $('.js-header').headroom({
    classes: {
      initial:  'c-header--headroom',
      top:      'c-header--top',
      notTop:   'c-header--not-top',
      pinned:   'c-header--pinned',
      unpinned: 'c-header--unpinned'
    }
  });

  // =====================
  // Post Card Images Fade
  // =====================

  $('.js-fadein').viewportChecker({
    classToAdd: 'is-inview', // Class to add to the elements when they are visible
    offset: 100,
    removeClassAfterAnimation: true
  });

  // =====================
  // Responsive videos
  // =====================

  $('.c-content, .comment-content').fitVids({
    'customSelector': ['iframe[src*="ted.com"]', '[src*="videopress.com"]']
  });

  // =====================
  // Off Canvas menu
  // =====================

  $('.js-off-canvas-toggle').click(function(e) {
    e.preventDefault();
    $('.js-off-canvas-content, .js-off-canvas-container').toggleClass('is-active');
  });

  // =====================
  // Search
  // =====================

  var search_field = $('.js-search-input'),
      toggle_search = $('.js-search-toggle');

  toggle_search.click(function(e) {
    e.preventDefault();
    $('.js-search').addClass('is-active');

    // If off-canvas is active, just disable it
    $('.js-off-canvas-container').removeClass('is-active');

    setTimeout(function() {
      search_field.focus();
    }, 500);
  });

  $('.c-search, .js-search-close').on('click keyup', function(event) {
    if (event.target == this || $(event.target).hasClass('js-search-close') || event.keyCode == 27) {
      $('.c-search').removeClass('is-active');
    }
  });

  // =====================
  // Ajax Load More
  // =====================

  var bold_load_posts_button = $('.js-load-posts'),
      bold_page_number_next   = bold_config.bold_page_number_next,
      bold_page_link_next     = bold_config.bold_page_link_next;

  bold_load_posts_button.click(function(e) {
    e.preventDefault();

    var bold_next_link = bold_page_link_next.replace('9999999999', bold_page_number_next);

    $.ajax({
      url: bold_next_link,
      beforeSend: function() {
        bold_load_posts_button.text(bold_config.bold_loading);

        bold_load_posts_button.addClass('c-btn--loading');
      }
    }).done(function(data) {
      var posts = $('.js-post-card-wrap', data);

      bold_load_posts_button.text(bold_config.bold_load_more);
      bold_load_posts_button.removeClass('c-btn--loading');

      $('.js-grid').append(posts);

      $('.js-fadein').viewportChecker({
        classToAdd: 'is-inview', // Class to add to the elements when they are visible
        offset: 100,
        removeClassAfterAnimation: true
      });

      bold_page_number_next++;

      // If you are on the last pagination page, hide the load more button
      if (bold_page_number_next > bold_config.bold_page_number_max) {
        bold_load_posts_button.addClass('c-btn--disabled');
      }
    });
  });

})(jQuery);