<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Bold
 */

get_header(); ?>

<?php get_template_part( 'template-parts/post-hero' ); ?>

<div class='o-wrapper' id='content'>

  <div class='o-grid'>
    <div class='o-grid__col o-grid__col--center o-grid__col--4-4-s o-grid__col--3-4-m'>
      <article id='post-<?php the_ID(); ?>' <?php post_class('c-post entry'); ?>>

        <div class='c-content'>
          <?php
            while ( have_posts() ) : the_post();
              the_content();
            endwhile;
          ?>
          <?php get_template_part( 'template-parts/wp-link-pages' ); ?>
        </div>

        <div class='o-grid'>
          <div class='o-grid__col o-grid__col--4-4-s o-grid__col--3-4-m'>
            <div class='c-tags'>
              <?php echo get_the_tag_list(); ?>
            </div>
          </div>
          <div class='o-grid__col o-grid__col--4-4-s o-grid__col--1-4-m'>
            <?php get_template_part( 'template-parts/share' ); ?>
          </div>
        </div>

        <hr>

        <?php
          if ( get_the_author_meta( 'description' ) ) :
            get_template_part( 'template-parts/author-bio' );
          endif;

          get_template_part( 'template-parts/post-navigation' );

          if ( comments_open() || get_comments_number() ) :
            comments_template();
          endif;
        ?>

      </article>
    </div>
  </div>

</div>

<?php bold_related_posts(); ?>

<?php
get_footer();