<?php
/**
 * Template part for displaying c-author info in the Post & c-author pages.
 *
 * @package Bold
 */

?>

<div class='c-author'>

  <a class='c-author__img-link' href='<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>'>
    <img class='c-author__img'
         alt='<?php echo get_the_author(); ?>'
         src='<?php echo esc_url( get_avatar_url( get_the_author_meta( 'user_email' ) ) ); ?>'>
  </a>

  <div class='c-author__body'>
    <h3 class='c-author__name'>
      <a href='<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>'>
        <?php echo get_the_author(); ?>
      </a>
    </h3>

    <p class='c-author__description'>
      <?php the_author_meta( 'description' ); ?>

      <?php if ( get_the_author_meta( 'user_url' ) ) : ?>
        <br>
        <a href='<?php the_author_meta( 'user_url' ); ?>'><?php the_author_meta( 'user_url' ); ?></a>
      <?php endif; ?>
    </p>
  </div>

</div>