<?php
/**
 * Template part for displaying the post card in the loop.
 *
 * @package Bold
 */

?>

<div <?php post_class('o-grid__col o-grid__col--4-4-s o-grid__col--2-4-m o-grid__col--1-3-l c-post-card-wrap js-post-card-wrap'); ?>>
  <div class='c-post-card <?php if ( ! has_post_thumbnail() ) :?> c-post-card--no-image <?php endif; ?>'>

  <?php if ( has_post_thumbnail() ) : ?>
    <a href='<?php the_permalink(); ?>' class='js-fadein c-post-card__image' style='background-image: url(<?php esc_url(bold_entry_feature_image_path('large')); ?>)'>
      <span title='<?php esc_html_e('Featured Post', 'bold'); ?>'>
        <span class='c-post-card--featured__icon' data-icon='ei-star' data-size='s'></span>
      </span>
    </a>
  <?php endif; ?>

    <a href='<?php the_permalink(); ?>' class='c-post-card__info'>
      <h3 class='c-post-card__title'><?php the_title(); ?></h3>

      <p class='c-post-card__excerpt'>
        <?php echo(get_the_excerpt()); ?>
      </p>
    </a>

    <div class='c-post-card__footer'>
      <div class='c-post-card__author'>
        <div class='icon icon--ei-user icon--s c-post-card__icon'>
          <svg class='icon__cnt'><use xlink:href='#ei-user-icon'></use></svg>
        </div>
        <?php the_author_posts_link(); ?>
      </div>

      <div class='c-post-card__date'>
        <div class='icon icon--ei-clock icon--s c-post-card__icon'>
          <svg class='icon__cnt'><use xlink:href='#ei-clock-icon'></use></svg>
        </div>
        <time datetime='<?php the_time( 'c' ); ?>' title='<?php the_time( 'c' ); ?>'>
          <?php echo get_the_date(get_option( 'date_format' )); ?>
        </time>
      </div>
    </div>

  </div>
</div>